# Create a File

Before uploading a file, you must create a `File` resource.
Once created, you can [upload](/guides/platform-payments/onboarding-sellers/seller-onboarding-uploading-files/) your file to the new `File` resource.

Endpoint: POST /files
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see [Versioning](../../../../additional-resources/developers/authentication-and-api-basics/versioning).

  - `Content-Type` (string)
    The data type being sent in the request body must be `application/json`.

## Request fields (application/json):

  - `display_name` (string)
    The human-readable name to use for the `File`.
    Example: Bank Statement

  - `linked_to` (string, required)
    The ID of the resource the `File` will be linked to. This can be either a Merchant ID or Identity ID.
    Example: MU2n7BSovtwYsWYZF6rBnnzk

  - `tags` (object)
    Include up to 50 `key: value` pairs to annotate requests with custom metadata.
- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500.
(For example, `order_number: 25`, `item_type: produce`, `department: sales`)

  - `type` (string, required)
    The type of document.
    Enum: "BANK_STATEMENT", "BANK_STATEMENT_ONE_MONTH", "BANK_STATEMENT_THREE_MONTHS", "BUSINESS_ADDRESS_DOCUMENT", "BUSINESS_ADDRESS_VERIFICATION", "BUSINESS_INCORPORATION_DOCUMENT", "BUSINESS_OWNERSHIP_STRUCTURE", "BUSINESS_REGISTRATION", "BUSINESS_REGISTRATION_DOCUMENT", "BUSINESS_TAX_EXEMPTION_STATUS_DOCUMENT", "BUSINESS_TAX_ID_DOCUMENT", "DEVICE_IDLE_IMAGE", "DIGITAL_SIGNATURE", "DRIVERS_LICENSE_BACK", "DRIVERS_LICENSE_FRONT", "ENHANCED_DUE_DILIGENCE_DOCUMENT", "IDENTIFICATION_CARD_BACK", "IDENTIFICATION_CARD_FRONT", "OTHER", "OWNER_GOVERNMENT_ISSUED_PHOTO_ID", "OWNER_TAX_ID_DOCUMENT", "PASSPORT", "PCI_DOCUMENT", "PROCESSING_STATEMENT", "SCREEN_RECORDING", "TAX_DOCUMENT", "VIDEO_DOCUMENT"

## Request examples:

  - `File` (unknown)

## Response 201:

  - `201` (unknown)
    A single `File`

## Response 201 fields (application/json):

  - `id` (string)
    The ID of the resource.

  - `created_at` (string)
    Timestamp of when the object was created.

  - `updated_at` (string)
    Timestamp of when the object was last updated.

  - `application_id` (string)
    ID of the `Application` the resource was created under.

  - `display_name` (string)
    The human-readable name of the `File`. The file name format is `<type>_<id>` by default.

  - `entity_id` (string)
    The ID of the underwriting note associated with the attached file.

  - `entity_type` (string)
    The entity type assigned to the underwriting note.
    Enum: "NOTE"

  - `extension` (string)
    The extension of the file.
    Example: png

  - `file_name` (string)
    The name of the uploaded `File`. It is `null` when the `File` resource is first created and is automatically updated to the uploaded file's name. You cannot change this field.
    Example: bank_statement_01_2024.png

  - `identity_id` (string)
    The ID of the `Application` that the `File` was created under.

  - `linked_to` (string)
    The ID of the resource the `File` is linked to. This can be either a Merchant ID or Identity ID.
    Example: MU2n7BSovtwYsWYZF6rBnnzk

  - `linked_type` (string)
    The type of the resource that the `File` is linked to.

  - `platform_id` (string)
    The ID of the `Platform` that the `File` was created under.

  - `size_in_bytes` (integer)
    The size of the uploaded `File` in bytes. It is set to `null` when the `File` resource is first created and updates automatically after a `File` is uploaded.

  - `status` (string)
    The file's upload status.
    Enum: "REQUIRES_UPLOAD", "PENDING", "UPLOADED", "INVALID"

  - `tags` (object)
    Include up to 50 `key: value` pairs to annotate requests with custom metadata.
- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500.
(For example, `order_number: 25`, `item_type: produce`, `department: sales`)

  - `type` (string)
    The type of document. Finix may return more enums than those provided. Ensure your code accepts additional enums returned by Finix.
    Enum: "BANK_STATEMENT", "BANK_STATEMENT_ONE_MONTH", "BANK_STATEMENT_THREE_MONTHS", "BUSINESS_ADDRESS_DOCUMENT", "BUSINESS_ADDRESS_VERIFICATION", "BUSINESS_INCORPORATION_DOCUMENT", "BUSINESS_OWNERSHIP_STRUCTURE", "BUSINESS_REGISTRATION", "BUSINESS_REGISTRATION_DOCUMENT", "BUSINESS_TAX_EXEMPTION_STATUS_DOCUMENT", "BUSINESS_TAX_ID_DOCUMENT", "DEVICE_IDLE_IMAGE", "DIGITAL_SIGNATURE", "DRIVERS_LICENSE_BACK", "DRIVERS_LICENSE_FRONT", "ENHANCED_DUE_DILIGENCE_DOCUMENT", "IDENTIFICATION_CARD_BACK", "IDENTIFICATION_CARD_FRONT", "OTHER", "OWNER_GOVERNMENT_ISSUED_PHOTO_ID", "OWNER_TAX_ID_DOCUMENT", "PASSPORT", "PCI_DOCUMENT", "PROCESSING_STATEMENT", "SCREEN_RECORDING", "TAX_DOCUMENT", "VIDEO_DOCUMENT"

## Response 201 headers (application/json):

  - `date` (string)
    A response header indicating the date and time of the API request.
    Example: Tue, 08 Jul 2025 17:38:01 GMT

  - `finix-apiuser-role` (string)
    This response header indicating the role of the user who sent the API request.
    Enum: "ROLE_PLATFORM", "ROLE_PARTNER", "ROLE_MERCHANT"

  - `x-request-id` (string)
    This response header provides a unique identifier for the API request.
    Example: 055972f6534f92a896fbb61b11313ebb

## Response 400:

  - `400` (unknown)
    Bad Request. The server cannot process the request due to malformed syntax or invalid data.

## Response 400 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 401:

  - `401` (unknown)
    Unauthorized. Authentication is required and has failed or has not been provided.

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403:

  - `403` (unknown)
    Forbidden. The client is authenticated but does not have permission to access the resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406:

  - `406` (unknown)
    Not Acceptable. The server could not accept the submitted request. Confirm how the request was formatted and submitted.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 201 examples:

  - `File` (unknown)

## Response 400 examples:

  - `Malformed request` (unknown)

## Response 401 examples:

  - `Unauthorized request` (unknown)

## Response 403 examples:

  - `Forbidden request` (unknown)

## Response 406 examples:

  - `Not acceptable` (unknown)

